[问题]编译alsa-driver出错

为当前最终发行版之前的所有版本提供支持
回复
头像
dzhsurf
帖子: 221
注册时间: 2007-02-21 17:06
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

[问题]编译alsa-driver出错

#1

帖子 dzhsurf » 2007-03-16 21:03

make -C /lib/modules/2.6.17-11-generic/build SUBDIRS=/home/ally/软件/ALSA/alsa-driver-1.0.10 modules
make[1]: Entering directory `/usr/src/linux-headers-2.6.17-11-generic'
CC [M] /home/ally/软件/ALSA/alsa-driver-1.0.10/acore/hwdep.o
In file included from /home/ally/软件/ALSA/alsa-driver-1.0.10/include/adriver.h:770,
from /home/ally/软件/ALSA/alsa-driver-1.0.10/include/sound/driver.h:42,
from /home/ally/软件/ALSA/alsa-driver-1.0.10/acore/hwdep.c:22:
include/linux/pci.h:496: error: expected identifier or ‘(’ before numeric constant
make[3]: *** [/home/ally/软件/ALSA/alsa-driver-1.0.10/acore/hwdep.o] 错误 1
make[2]: *** [/home/ally/软件/ALSA/alsa-driver-1.0.10/acore] 错误 2
make[1]: *** [_module_/home/ally/软件/ALSA/alsa-driver-1.0.10] 错误 2
make[1]: Leaving directory `/usr/src/linux-headers-2.6.17-11-generic'
make: *** [compile] 错误 2

请问应该如何解决?
头像
dzhsurf
帖子: 221
注册时间: 2007-02-21 17:06
来自: 广州
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 dzhsurf » 2007-03-17 14:40

没有人回复 :cry:
回复

回到 “老旧版本支持”